cifti::CompactLookup< T > Class Template Reference

## Classes

class | iterator
class | const_iterator

## Public Member Functions

T & | operator[] (const int64_t &index)
| creates the element if it didn't exist, and returns a reference to it
iterator | find (const int64_t &index)
| returns an iterator pointing to the desired element, or one equal to end() if no such element is found
const_iterator | find (const int64_t &index) const
| returns a const_iterator pointing to the desired element, or one equal to end() if no such element is found
iterator | end ()
const_iterator | end () const
void | clear ()
| empties the lookup

The documentation for this class was generated from the following file:

- CompactLookup.h